org.richfaces.component

## Class UIPoll

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.richfaces.component.AbstractActionComponent
        - - org.richfaces.component.AbstractPoll
          - - org.richfaces.component.UIPoll

- All Implemented Interfaces:
    EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.3.1.Final"})
      public class UIPoll
      extends AbstractPoll
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The <a4j:poll> component allows periodical sending of Ajax requests to the server. It is used for repeatedly updating a page at specific time intervals.

  Author:
    shura

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIPoll.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractPoll

      `BEFOREDOMUPDATE, BEGIN, COMPLETE, ON_BEFOREDOMUPDATE, ON_BEGIN, ON_COMPLETE, ON_TIMER, TIMER`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIPoll()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getData()`
    `String` | `getDefaultEventName()`
    `Collection<String>` | `getEventNames()`
    `Object` | `getExecute()`
    `String` | `getFamily()`
    `int` | `getInterval()` Specifies the time in milliseconds between requests.
    `String` | `getOnbeforedomupdate()`
    `String` | `getOnbegin()`
    `String` | `getOncomplete()`
    `String` | `getOntimer()` The client-side script method to be called after the timer counts down, but before the Ajax request is initiated
    `Object` | `getRender()`
    `String` | `getStatus()`
    `boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
    `boolean` | `isEnabled()` Enables/disables polling to the server.
    `boolean` | `isLimitRender()`
    `void` | `setBypassUpdates(boolean bypassUpdates)`
    `void` | `setData(Object data)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setExecute(Object execute)`
    `void` | `setInterval(int interval)`
    `void` | `setLimitRender(boolean limitRender)`
    `void` | `setOnbeforedomupdate(String onbeforedomupdate)`
    `void` | `setOnbegin(String onbegin)`
    `void` | `setOncomplete(String oncomplete)`
    `void` | `setOntimer(String ontimer)`
    `void` | `setRender(Object render)`
    `void` | `setStatus(String status)`

    - ### Methods inherited from class org.richfaces.component.AbstractActionComponent

      `queueEvent`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIPoll

          public UIPoll()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UICommand`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### isBypassUpdates

          public boolean isBypassUpdates()

      Description copied from class: `AbstractActionComponent`
      If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input
      Specified by:
        `isBypassUpdates` in class `AbstractActionComponent`

    - #### setBypassUpdates

          public void setBypassUpdates(boolean bypassUpdates)

      Specified by:
        `setBypassUpdates` in class `AbstractActionComponent`

    - #### getData

          public Object getData()

    - #### setData

          public void setData(Object data)

    - #### isEnabled

          public boolean isEnabled()

      Description copied from class: `AbstractPoll`
      Enables/disables polling to the server. Using Expression Language (EL), the enabled attribute can point to a bean property to apply a particular attribute value
      Specified by:
        `isEnabled` in class `AbstractPoll`

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getExecute

          public Object getExecute()

    - #### setExecute

          public void setExecute(Object execute)

    - #### getInterval

          public int getInterval()

      Description copied from class: `AbstractPoll`
      Specifies the time in milliseconds between requests. The default for this value is 1000 ms (1 second)
      Specified by:
        `getInterval` in class `AbstractPoll`

    - #### setInterval

          public void setInterval(int interval)

    - #### isLimitRender

          public boolean isLimitRender()

    - #### setLimitRender

          public void setLimitRender(boolean limitRender)

    - #### getOnbeforedomupdate

          public String getOnbeforedomupdate()

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(String onbeforedomupdate)

    - #### getOnbegin

          public String getOnbegin()

    - #### setOnbegin

          public void setOnbegin(String onbegin)

    - #### getOncomplete

          public String getOncomplete()

    - #### setOncomplete

          public void setOncomplete(String oncomplete)

    - #### getOntimer

          public String getOntimer()

      Description copied from class: `AbstractPoll`
      The client-side script method to be called after the timer counts down, but before the Ajax request is initiated
      Specified by:
        `getOntimer` in class `AbstractPoll`

    - #### setOntimer

          public void setOntimer(String ontimer)

    - #### getRender

          public Object getRender()

    - #### setRender

          public void setRender(Object render)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.